Bug 237543 - [patch] devel/sccache: Fix wrong version number
Summary: [patch] devel/sccache: Fix wrong version number
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Luca Pizzamiglio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-24 23:57 UTC by Romain Tartière
Modified: 2019-05-06 17:08 UTC (History)
0 users

See Also:
pizzamig: maintainer-feedback+


Attachments
Version fix (70.60 KB, patch)
2019-04-24 23:57 UTC, Romain Tartière
no flags Details | Diff
Version fix (70.60 KB, patch)
2019-04-25 06:32 UTC, Romain Tartière
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Romain Tartière freebsd_committer 2019-04-24 23:57:45 UTC
Created attachment 203991 [details]
Version fix

Port is at version 2.8.0.a0_8 but upstream latest release is 0.2.8.

This seems to have been made possible by downloading using a commit (dda88a6, https://github.com/mozilla/sccache/commit/dda88a658c0f48994527c201e15f736ad193da4f) rather than a tag name.

The attached patch fix the version number, updates dependencies (0.2.8 was tagged a few commits after dda88a6) and bump PORTEPOCH.
Comment 1 Tobias Kortkamp freebsd_committer 2019-04-25 06:11:30 UTC
Comment on attachment 203991 [details]
Version fix

+		libc-0.2.44 \

Please do not ignore QA warnings and bump it to 0.2.50 or 0.2.51 manually:

/!\ sccache-0.2.8,1: Makefile warnings, please consider fixing /!\

CARGO_CRATES=libc-0.2.44 may be unstable on aarch64 or not build on armv6,
armv7, powerpc64. Consider updating to the latest version (higher than 0.2.49).
Comment 2 Romain Tartière freebsd_committer 2019-04-25 06:32:11 UTC
Created attachment 203998 [details]
Version fix

Hehe, I am a tourist in the Rust ecosystem :-)  I bumped the version in the Makefile as requested.

Thanks for the feedback Tobias!
Comment 3 commit-hook freebsd_committer 2019-05-06 17:03:41 UTC
A commit references this bug:

Author: pizzamig
Date: Mon May  6 17:02:38 UTC 2019
New revision: 500920
URL: https://svnweb.freebsd.org/changeset/ports/500920

Log:
  devel/sccache: Update to 0.2.8

  The first committed version was still an alpha version and an error was
  made in the version (2.8.0a instead of 0.2.8a), so the update is forced
  using the port epoch
  While here, adopting the last libc crate available

  PR:		237543
  Reported by:	Romain Tarti?re

Changes:
  head/devel/sccache/Makefile
  head/devel/sccache/distinfo
  head/devel/sccache/files/patch-openssl-0.10
Comment 4 Luca Pizzamiglio freebsd_committer 2019-05-06 17:08:21 UTC
I had a patch baking since Easter, but then I went on holiday and then the delay.

I didn't used your patch, because Cargo.lock should point to thesame libc version. I used the last available (0.2.57)
For some reasons, makepatch collapsed my patch in the existing openssl patch.

I did the mistake, when I added the port (not yet release), misreading the version number (2.8 instead of 0.2.8).

Thanks for pushing me to clean up the mess I did.